import {EnumSerializer, OptionalSerializer} from "../schemata/Serialization.js";

export enum Condition {
    CRITICAL = "Critical",
    POOR = "Poor",
    SOSO = "So-so",
    GOOD = "Good",
    EXCELLENT = "Excellent",
    UNSURE = "Unsure",
    NUMB = "Numb",
}
export const CONDITIONS = [Condition.CRITICAL, Condition.POOR, Condition.SOSO, Condition.GOOD, Condition.EXCELLENT, Condition.UNSURE, Condition.NUMB]

export const ConditionSerializer = new EnumSerializer<Condition>(CONDITIONS)
export const OptionalConditionSerializer = new OptionalSerializer(ConditionSerializer)